Description

Supportanfrage

ich krieg in Linux beim Starten von ADTF die folgende Ausgabe. Haben Sie vielleicht eine Idee woran es liegen könnte?

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(103): info

0x00000000: * Starting ADTF: Mon Aug  6 17:29:43 2018 

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:    

Registered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:    

Registered class "adtf.core.media_type". ( 2 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(94): info 0x00000000: Started

UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(742): info

0x00000000: Sucessfully loaded library "/home/ethernet/adtf/adtf_2_14/bin/libQtCore.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(734): error

0x00000000: Unable to load library "/home/ethernet/adtf/adtf_2_14/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(1034): error

0x00000000: Could not load manifest "/home/ethernet/adtf/adtf_2_14/bin/adtf_devenv.manifest" !

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(284): error 0x00000000:

runlevel "rl_system" could not be reached! try to fall back to last stable runlevel "rl_shutdown"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:    

Unregistered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:    

Unregistered class "adtf.core.media_type". ( 0 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(111): info 0x00000000:

Stopped UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(299): info 0x00000000: fall

back to runlevel "rl_shutdown" succeeded! Return with error anyway!

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(576): info

0x00000000:  ADTF stopped: Mon Aug  6 17:29:43 2018 *

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(737): exception

0x00000003: Unable to load library "/home/ethernet/adtf/adtf_2_14/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/tools/adtfdevenv/../launcher/main.cpp(521): info

0x00000000: ADTF exits with code: -3

QT habe ich bereits die Version 4.7 installiert und unterschiedliche Versionen ausprobiert. Was könnte ich machen?

Lösung

Es besteht ein Problem der Qt Kompilate auf den 18.04 Ubuntu.

Das verlässt an dieser Stelle den Scope des Supports.

Lösung scheint zu sein, Qt nochmal auf dem System zu kompilieren und zu ersetzen.

Dafür aber weder Garantie noch Aufwand seitens ADTF bzw. Support.

Related issues:

Has duplicate Public Support - Support Request #4439: ADTF 2 won't show licen... Closed
History

#1 - 2018-08-06 18:02 - hidden

- Project changed from Public Support to 15

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to MAN

- Affected Products ADTF 2.14.0 added

- Platform Ubuntu 14.04 64bit added

#2 - 2018-08-06 18:03 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Nebiyat,

du musst kein Qt zum Anwenden installieren (nur zum Entwickeln eigener UI Komponenten).

Alles was ADTF zum Starten benötigt, wird mitgeliefert.

Heißt entweder hier ging etwas schief oder...

Prüfe bitte ob die Library im angegeben Pfad ist und installiere ADTF ggf. erneut.

#3 - 2018-08-07 08:15 - hidden

- File image001.png added

Ich habe es nochmal installiert und immer noch die selbe Fehlermeldung.

Aber warum kriege ich diese Meldung:

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp,

 Diesen Pfad besitze ich eigentlich nicht. Woher kommt es? Oder wo ändere ich statisch die Pfad eingaben?

#4 - 2018-08-07 08:28 - hidden

Hallo Nebiyat,

Aber warum kriege ich diese Meldung:

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp,

 Diesen Pfad besitze ich eigentlich nicht. Woher kommt es? Oder wo ändere ich statisch die Pfad eingaben?

 Du musst nichts eingeben oder einstellen, das ist natürlich der Pfad unseres Build-Servers/Jenkins, das ist bei jeden Build-Artefacten fest

einkompiliert.

Der braucht dich nicht zu interessieren.

Die eigentliche Fehlermeldung ist diese:

Unable to load library "/home/ethernet/adtf/adtf_2_14/bin/libQtGui.so

 QtCore kann noch geladen werden (siehe Zeile davor), QtGui nicht mehr.

Deshalb meine Frage, existiert der Pfad in deiner Installation ?

Wenn du in die adtf_devenv.manifest schaust, siehst du das bei Linux Qt Libraries vorgeladen werden müssen.

Das funktioniert normalerweise problemlos, diese liefern wir ja mir.

Deshalb bitte kontrolliere den Pfad noch einmal.

Sollte die Lib existieren...

Wechselst du in den Pfad, wo die adtf_devenv liegt und startest von dort ? Wenn nein, bitte versuchen.

Was passiert, wenn du die adtf_devenv per Doppelklick öffnest ? Oder bist du per SSH drauf ?

Wenn ja, kann es sein, dass du keinen GUI Support hast... hast du X-Forwarding aktiviert ?
#5 - 2018-08-07 10:45 - hidden

- File image001.png added

Hallo Florian,

ich bin nicht über SSH verbunden aber die X-Forwarding in SSH ist freigeschaltet.

Auch aus dem Ordner heraus habe ich schon gestartet und sogar mit dem festen Pfad zu QT-Libs das Ganze ausprobiert.

Ich bin momentan ratlos. Vielleicht gibt es einfach Probleme mit Ubuntu 18.04. Was meinst du? Was von euch vorgeschlagen wird Ubuntu 14.04

einzusetzen ist es mir schon bewusst.

Aber ich wollte es auf 18.04 ausprobieren.

#6 - 2018-08-07 10:53 - hidden

- Resolution set to Not Supported Scope

- Platform Ubuntu 18.04 64bit added

- Platform deleted (Ubuntu 14.04 64bit)

Hallo Nebiyat,

leider kann ich dir hier nicht weiterhelfen, wir können nur die Environments supporten, die wir auch getestet haben.

Hier wird sich v.a. in ADTF 2.x nichts mehr ändern.

Du musst also exakt die Bedingungen herstellen (Snapshot) oder zumindest die relevanten Abhängigkeiten (gcc, libc, ...) aus U1404.

Ich kann mir durchaus vorstellen, dass es hier Probleme gibt (ggf. gnome), das kann ich aber nicht beurteilen.

Wir können und werden nur sicherstellen, dass unsere Lieferung auf den supporteten Plattformen zu laufen hat.

#7 - 2018-08-07 13:00 - hidden

- File image001.png added

Hallo Florin,

ich habe jetzt das Problem gelöst. Danke für eure Hilfe.

Falls dich interessiert bei andren Ubuntu Versionen, die von euch nicht freigegeben sind, sollten Personen dann die QT Versionen also ihr nutzt 4.7,

wenn ich mich nicht irre,

sollten die Personen auf dem Rechner selber kompilieren und die QT libraries die von eurem ADTF genutzt werden mit den neuen compilierten QT

libraries ersetzt werden.

VG,

Nebiyat

#8 - 2018-08-07 13:00 - hidden

- File image001.png added

Hallo Florin,

ich habe jetzt das Problem gelöst. Danke für eure Hilfe.

Falls dich interessiert bei andren Ubuntu Versionen, die von euch nicht freigegeben sind, sollten Personen dann die QT Versionen also ihr nutzt 4.7,

wenn ich mich nicht irre, sollten die Personen auf dem Rechner selber kompilieren und die QT libraries die von eurem ADTF genutzt werden mit den

neuen compilierten QT libraries ersetzt werden.

VG,

Nebiyat

#9 - 2018-08-07 15:14 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#10 - 2018-09-11 15:47 - hidden

- Status changed from To Be Closed to Closed

#11 - 2018-10-16 09:23 - hidden

- Project changed from 15 to Public Support
- Private changed from Yes to No

#12 - 2018-10-16 09:23 - hidden

- Subject changed from ADTF Problem in Linux to ADTF 2.x could not start on Ubuntu 18.04 (failed to load QT libraries)

#13 - 2018-10-16 09:25 - hidden

- Has duplicate Support Request #4439: ADTF 2 won't show license dialog added
